snakemake (7.32.4-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused ratelimiter dependency. (Closes: #1124258)

 -- Bastian Germann <bage@debian.org>  Mon, 29 Dec 2025 16:03:31 +0100

snakemake (7.32.4-8) unstable; urgency=medium

  * Team upload.
  * Replace dependency on transitional python3-tz with new python3-pytz
  * Remove Py2 vs 3 crumb from d/rules

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Dec 2025 16:47:10 +0100

snakemake (7.32.4-7) unstable; urgency=medium

  * Tests: treat more tests as flaky (try 3 times)
    (workaround for #1095394),
    use json not print for consistent formatting,
    use svg not pdf for compatibility with graphviz 12.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 09 Feb 2025 20:56:35 +0000

snakemake (7.32.4-6) unstable; urgency=medium

  * Stop using pkg_resources. (Closes: #1083775)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Oct 2024 19:09:12 +0100

snakemake (7.32.4-5) unstable; urgency=medium

  * Tests: revert extra debug output.
  * Tests: make test_*_solver actually call the solver.
  * Tests: allow extra time to avoid failing on riscv64.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 07 Aug 2024 07:57:41 +0100

snakemake (7.32.4-4) unstable; urgency=medium

  * Skip tests that crash in persistent_dict because
    Debian's pytools is too old (workaround for #1076925).
  * Tests: add extra debug output to test_cluster_cancel*.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 03 Aug 2024 13:49:07 +0100

snakemake (7.32.4-3) unstable; urgency=medium

  * Use platformdirs not appdirs.  (Closes: #1068010)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 07 Apr 2024 11:37:02 +0100

snakemake (7.32.4-2) unstable; urgency=medium

  * Tests: don't mix tabs and spaces, as Python 3.12 rejects this.
  * Adapt to f-strings being tokenized in Python 3.12.
    (together, Closes: #1061761)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 09 Feb 2024 19:11:23 +0000

snakemake (7.32.4-1) unstable; urgency=medium

  * New upstream release.  Update d/copyright and patches.
  * Skip newly added tests that we can't run.
  * Clean up after docs build.  (Closes: #1045316)
  * Depend on python3-yte.
  * Fix crash in config handling.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 27 Nov 2023 20:19:37 +0000

snakemake (7.21.0-2) unstable; urgency=medium

  * Add timeout to tests (giving a traceback when they hang).
  * Docs: allow building with Sphinx 7.  (Closes: #1042692)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 03 Aug 2023 22:24:25 +0100

snakemake (7.21.0-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 07 Feb 2023 21:19:40 +0000

snakemake (7.20.0-1) unstable; urgency=medium

  * New upstream release.  Refresh patches, d/copyright.
  * Use packaged python3-retry.
  * Don't try to use local Javascript in GUI, as this is risky.
    (Closes: #1019317)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 02 Feb 2023 07:28:24 +0000

snakemake (7.19.1-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)
  * Skip slurm tests since slurm is not setup at build time
  * Suggests: slurm-client
  * Skip lint test that is known to fail
  * Skip workflow test that is known to fail

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 07:29:29 +0100

snakemake (7.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 16:45:00 +0200

snakemake (7.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.12.0
  * Refresh, re-diff patches
  * Add python3-pytest-mock to B-D and test dep
  * Update test_from_any_directory.patch

 -- Nilesh Patra <nilesh@debian.org>  Fri, 29 Jul 2022 19:23:21 +0530

snakemake (7.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Fix lintian syntax
  * Use Debian packaged bootstrap and jquery for privacy reasons
  * Add README.Debian to give a hint about potential issues inside
    the replaced jquery interface.
  * Build-Depends: pybuild-plugin-pyproject

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jul 2022 12:10:25 +0200

snakemake (7.8.5-2) unstable; urgency=medium

  * Team upload.
  * Do not run second lot of tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Thu, 07 Jul 2022 15:49:32 +0530

snakemake (7.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.8.5
  * Refresh patches

 -- Nilesh Patra <nilesh@debian.org>  Tue, 05 Jul 2022 21:51:30 +0530

snakemake (7.8.3-2) unstable; urgency=medium

  * Team upload.
  * Propagate build time test ignores in autopkgtest as well
  * Add python3-pygments to test-deps

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Jun 2022 20:53:15 +0530

snakemake (7.8.3-1) unstable; urgency=medium

  * Team upload.

  [ Nilesh Patra]
  * New upstream version 7.8.3
  * Refresh/Rediff patches
  * Mark tests offline even on timeouterror
  * Embed retry python mod code and modify
    import path until python-retry is packaged
  * Remove yte dep for now

  [ Rebecca N. Palmer ]
  * New upstream release.  Refresh patches, d/copyright.
  * Skip some more unrunnable-in-Debian tests.
  * Update dependencies.
  * Update Lintian overrides.

 -- Nilesh Patra <nilesh@debian.org>  Sat, 25 Jun 2022 15:38:25 +0530

snakemake (6.15.5-1) unstable; urgency=medium

  * Upstream bugfix release.
  * Remove drmaa Recommends, as that package is broken (see #951704).
  * Tests: skip peppy tests (not in Debian), use Python 3 subprocesses.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 20 Feb 2022 14:53:05 +0000

snakemake (6.15.1-2) unstable; urgency=medium

  * Timeout and retry an intermittently hanging autopkgtest.
  * Upload to unstable.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 04 Feb 2022 22:35:19 +0000

snakemake (6.15.1-1~exp1) experimental; urgency=medium

  * New upstream release.  Refresh patches, d/copyright.
  * Split up the binary package (main, -doc) to save space.
  * Tests: skip an FTP-using test and 2 new conda-using tests,
    mark as needs-internet, copy the test tree to avoid writing to it.
  * Don't ship the test suite, as some of it doesn't work from a
    non-writable directory.
  * Reproducibility: fix sphinx locale,
    skip a test that fails under faketime.
  * salsa-ci: ignore expected Lintian error, enable diffoscope.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 02 Feb 2022 07:36:20 +0000

snakemake (6.12.3-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Remove unnecessary repack.
  * Update d/copyright.
  * Use python3-connection-pool instead of an embedded copy.
  * Remove unsatisfiable Suggests.  Update and sort build/test-Depends.
  * Run the tests in a copy instead of trying to clean up after them.
  * Update Lintian overrides.
  * Don't try to use local Javascript in GUI, as this is risky.
  * Fix possibly broken local Javascript in documentation.
  * Merge TODO into README.source and update.
  * Fix some broken tests, and document still needed test skips.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 11 Jan 2022 21:22:44 +0000

snakemake (6.10.0+dfsg1-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 6.10.0+dfsg1
  * Re-diff patches

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Nov 2021 01:10:16 +0530

snakemake (6.9.1+dfsg1-4) unstable; urgency=medium

  * Team Upload.
  * Add patch to make build reproducible (Closes: #997000)
    + Thanks to Chris Lamb!

 -- Nilesh Patra <nilesh@debian.org>  Sun, 24 Oct 2021 00:18:19 +0530

snakemake (6.9.1+dfsg1-3) unstable; urgency=medium

  * Team Upload.
  * d/t/control:
    + Comment another instance of snakemake-doc
    + Add python3-requests-mock and python3-jinja2 to test deps
  * d/t/run-unit-tests:
    + Exclude couple of tests (similar as build time)
  * d/copyright, d/rules, d/connection_pool.py:
    + Hack around to install connection_pool.py as file, and use
      the same

 -- Nilesh Patra <nilesh@debian.org>  Wed, 20 Oct 2021 12:31:52 +0530

snakemake (6.9.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Removing .snakemake folders from .deb
  * Separated documentation and tests into -doc package

 -- Steffen Moeller <moeller@debian.org>  Tue, 19 Oct 2021 19:47:19 +0200

snakemake (6.9.1+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Build-Depends: python3-requests-mock

  [ Nilesh Patra ]
  * d/control:
    + Add versioned Dep on pulp (>= 2.0)
    + Add B-D on python3-smart-open

  [ Steffen Moeller ]
  * Unselected tests needing internet access
  * fixing one calling pytest -> pytest-3
  * d/rules: Allowing consecutive builds with better cleaning
  * Added d/TODO to remind about missing "tes" Python module

 -- Nilesh Patra <nilesh@debian.org>  Tue, 19 Oct 2021 16:32:04 +0200

snakemake (5.24.1-2) unstable; urgency=medium

  * Team upload.
  * Skip tests accessing remote locations
    Closes: #986768

 -- Andreas Tille <tille@debian.org>  Mon, 12 Apr 2021 17:17:32 +0200

snakemake (5.24.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Depend on python3-pulp << 2.0.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Sep 2020 16:46:02 +0100

snakemake (5.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new dependency python3-pulp.
  * Remove unnecessary test skips, and document remaining ones.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 29 Aug 2020 11:46:20 +0100

snakemake (5.22.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.
  * Update Lintian overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 14:04:24 +0100

snakemake (5.20.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 15 Jul 2020 08:32:43 +0100

snakemake (5.19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 28 Jun 2020 22:38:45 +0100

snakemake (5.19.2-1) unstable; urgency=medium

  * New upstream release.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 09 Jun 2020 18:32:35 +0100

snakemake (5.18.1-1) unstable; urgency=medium

  * New upstream release.  Refresh patches, update override path.
  * Docs: work around Sphinx bug 7516.
  * Skip more tests with not-in-Debian dependencies.
  * Bump dephelper compat to 13, remove now-builtin rules.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 31 May 2020 10:54:51 +0100

snakemake (5.17.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * d/p/security.patch: adopted upstream - removed

 -- Steffen Moeller <moeller@debian.org>  Sat, 09 May 2020 17:26:55 +0200

snakemake (5.16.0-1) unstable; urgency=medium

  * New upstream release.  Drop / refresh patches.
  * Stop using pytest-xdist: it sometimes starts tests from
    a non-main thread, which breaks snakemake.
  * Dockerfile: fix remote root-in-container security hole.
  * Skip a new conda-using test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 04 May 2020 12:16:03 +0100

snakemake (5.14.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Rebecca N. Palmer ]
  * Use Python 3 in subprocess calls.
  * Fix buggy test (upstream 322).
  * Disable tests needing conda or docker.
  * Delete unused patches.
  * Use boto3 (like upstream) not boto.
  * Reproducibility: don't ship (timestamped) test logs.
  * Add self to Uploaders.
  * Update d/copyright, remove no longer needed Files-Excluded.
  * Enable verbose test output.
  * Update dependencies, add minimal-Depends test.
  * Privacy: use local dagre-d3, add missing Javascript dependencies,
    don't appear to show live status when we don't.
  * Use https for links where available.
  * Remove inconveniently licensed (CC-BY-SA) snippets.
  * Install examples.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 25 Apr 2020 19:10:20 +0100

snakemake (5.10.0-3) unstable; urgency=medium

  [ Rebecca N. Palmer ]
  * Exclude lazy_property to make Sphinx succeed.
    Closes: #955056

 -- Andreas Tille <tille@debian.org>  Thu, 09 Apr 2020 11:09:24 +0200

snakemake (5.10.0-2) unstable; urgency=medium

  * Team upload.
  * Actually fix #943956, thanks to Chris Lamb for the quick hint

 -- Alexandre Mestiashvili <mestia@debian.org>  Tue, 11 Feb 2020 11:31:06 +0100

snakemake (5.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.10.0
    Closes: #943956
  * Refresh python3 patch, drop 0012-reproducible-build.patch
  * d/control: add python3-nbformat, python3-toposort to Build-Depends,
    bump Policy to 4.5.0

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 09 Feb 2020 11:57:42 +0100

snakemake (5.9.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Exclude new test 'test_env_modules' as it isn't for us.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 01 Jan 2020 16:06:43 +0100

snakemake (5.8.1-1) unstable; urgency=medium

  * Team upload.
  * Quilt isn't needed for the autopkgtests, so drop it

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 15 Nov 2019 15:55:01 +0100

snakemake (5.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Skip test_url_include in the autopkgtest
  * debian/{control,copyight,watch}: upstream is now using GitHub
  * Set upstream metadata fields: Repository.
  * Adapt some of the new tests to use python3 instead of python.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 30 Oct 2019 17:22:29 +0100

snakemake (5.6.0-2) unstable; urgency=medium

  * Team upload.
  * debian/tests: Add missing dependency on python3-pandas; set $HOME
  * Enable parallel testing everywhere

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 15 Sep 2019 13:33:57 +0200

snakemake (5.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * 0013-remove-duplicate-keyword-argument.patch removed, applied upstream
  * Add AutoPkgTests

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 13 Sep 2019 16:15:23 +0200

snakemake (5.5.4-2) unstable; urgency=medium

  * set $HOME to fix build on sbuild

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 06 Sep 2019 13:50:09 +0900

snakemake (5.5.4-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Apply patch from Chris Lamb to make the build reproducible
     (Closes: #932116).

  [ Michael R. Crusoe ]
  * New upstream release
  * debian/control: Add missing build-deps (as shown in errors during the
                    documentation building)
  * debian/README.source: Document missing (optional?) dependencies
  * debian/rules: Fix test invocation, as almost all tests were missed;
                  Document what is known about the skipped tests
  * Apply patch from upstream to fix duplicated argument (Closes: #933527)

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 31 Jul 2019 11:24:24 +0200

snakemake (5.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 13 Jul 2019 17:39:18 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog snakemake`.
